<?session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$db1='pedidosm_mynomina_'.$_POST['empresa1'];
$db2='pedidosm_mynomina_'.$_POST['empresa2'];
include ("fphp.php");
$enlace=cargar_conexion();
?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><br>	
<?
echo "  <center><br><br><br><font face='verdana' size='3' color='black'>Copiar Conceptos/Constantes de una Empresa a Otra</font></center><br><hr>
		<br>
		<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST' enctype='multipart/form-data'>
		<input type = 'hidden' name = 'bandera' value = '1'>
		<table align='center'>";
			echo "<tr>";
					$query="Select * from tab_usuario order by empresa, detalle";
					$consulta = mysqli_query($enlace,$query) or die ("no se pudo leer las empresas...");	
					echo "<td align = 'right'> <font face='verdana' size=2>Empresa Desde? </font>";
					echo "<td><select name = 'empresa1'>";
						while ($row1 = mysqli_fetch_array($consulta)) echo "<option width = '30%' value='".$row1['id']."'>".trim($row1['empresa'])." - Usuario: ".$row1['detalle'];
						mysqli_free_result($consulta);
			echo "</select></tr>";
			echo "<tr>";
					$query="Select * from tab_usuario order by empresa, detalle";
					$consulta = mysqli_query($enlace,$query) or die ("no se pudo leer las empresas...");	
					echo "<td align = 'right'> <font face='verdana' size=2>Empresa Hasta? </font>";
					echo "<td><select name = 'empresa2'>";
						while ($row1 = mysqli_fetch_array($consulta)) echo "<option width = '30%' value='".$row1['id']."'>".trim($row1['empresa'])." - Usuario: ".$row1['detalle'];
						mysqli_free_result($consulta);
			echo "</select></tr>";
			echo "<tr>";
				echo "<td align = 'right'><font face='verdana' size='2' color='black'>Solo los Conceptos? </font></td>";
				echo "<td align = 'left'> <input type = 'text' name = 'con' size = '5' maxlength = '2' </td>";
			echo "</tr>";
			echo "<tr>";
				echo "<td align = 'right'><font face='verdana' size='2' color='black'>Validar Operaci&oacute;n? (SI): </font></td>";
				echo "<td align = 'left'> <input type = 'text' name = 'si' size = '5' maxlength = '2' </td>";
			echo "</tr>";

		echo "</table>";		
		
		echo "<table align = 'center'>
			<tr>
				<td ><input type = 'submit' style='margin-left: 5px;' value = 'Copiar Conceptos?'></td>
			</tr></table>
			<script language='javascript' type='text/javascript'>
				document.entrada.empresa1.focus();
			</script><br>
			</form><hr>";

///=====================================================================================================================
if ($_POST['bandera']=='1') {			
	if (strtoupper($_POST['si'])=="SI") {
		if ($_POST['empresa1']!=$_POST['empresa2']) {			

			//=============== concepto
			$valor='';
			if ($_POST['con']!='') $valor=" and (codigo like '".$_POST['con']."%') ";
			$consulta1=mysqli_query($enlace,"select * from concepto where id='".$_POST['empresa1']."' $valor ");
			while($row1=mysqli_fetch_array($consulta1)) {
				$a3=mysqli_query($enlace,"select * from concepto where codigo='".$row1['codigo']."' and id='".$_POST['empresa2']."' ") or die (mysqli_error($enlace));
				if (mysqli_num_rows($a3)==0) 
				$a2=mysqli_query($enlace,"insert into concepto (id,codigo, detalle, cuenta, tipo, formula, acumula) values ('".$_POST['empresa2']."','".$row1['codigo']."','".$row1['detalle']."','".$row1['cuenta']."','".$row1['tipo']."','".$row1['formula']."','".$row1['acumula']."')") or die (mysqli_error($enlace));
			}
			mysqli_free_result($consulta1);

			//=============== constantes
			if ($_POST['con']=='') {
				$consulta1=mysqli_query($enlace,"select * from constante where id='".$_POST['empresa1']."' ");
				while($row1=mysqli_fetch_array($consulta1)) {
					$a3=mysqli_query($enlace,"select * from constante where codigo='".$row1['codigo']."' and id='".$_POST['empresa2']."' ") or die (mysqli_error($enlace));
					if (mysqli_num_rows($a3)==0) $a2=mysqli_query($enlace,"insert into constante (id,codigo, detalle, unidad, fijo) values ('".$_POST['empresa2']."','".$row1['codigo']."','".$row1['detalle']."','".$row1['unidad']."','".$row1['fijo']."')")  or die (mysqli_error($enlace));
				}
				mysqli_free_result($consulta1);
			}	
			echo "<center><b><font face='verdana' size='2' color='red'>Carga Efectuada Satisfactoriamente</b></font></center>";
		} else echo "<center><b><font face='verdana' size='2' color='red'>Empresas deben ser diferentes...</b></font></center>";
	} else echo "<b><center><font face='verdana' size='2' color='red'>Ha solicitado NO validar...</font></b></center>";	
}
mysqli_close($enlace);

?>			
<br><br>				
</body>
</html>